# Makefile for tex4ht  -- S. Rahtz s.rahtz@elsevier.co.uk
version = 1.0

ac_include ../make/paths.make
ac_include ../make/common.make
ac_include ../make/programs.make
ac_include ../make/texi.make
prog_cflags = -DUNIX -DKPATHSEA -DNeedFunctionPrototypes

objects = tex4ht.o

program = tex4ht
programs =$(program) 


default all: $(programs) 

$(program): $(kpathsea) $(objects)
	$(kpathsea_link) $(objects) $(LOADLIBES)

ac_include ../make/tkpathsea.make

install: install-exec install-data

uninstall: uninstall-exec uninstall-data

install-exec: all
	$(SHELL) $(top_srcdir)/../mkinstalldirs $(bindir)
	for p in $(programs); do $(INSTALL_LIBTOOL_PROG) $(bindir) $$p; done
	$(INSTALL_DATA) $(srcdir)/tex4ht.sh $(bindir) 
	$(INSTALL_DATA) $(srcdir)/tex4ht.perl $(bindir) 
	chmod 755 $(bindir)/tex4ht.*

uninstall-exec:
	for p in $(programs); do rm -f $(bindir)/$$p; done

install-data: tex4ht.env
	$(SHELL) $(top_srcdir)/../mkinstalldirs  $(texmf)/tex4ht/base
	$(INSTALL_DATA) $(srcdir)/tex4ht.env $(texmf)/tex4ht/base

uninstall-data:

distname = tex4ht

ac_include ../make/dist.make
ac_include ../make/config.make
ac_include ../make/clean.make
distclean::
	-rm v*.tex *.txt i*.tex *.gif *.toc *.otc *.lg *.xref *.html *.idv *.log *.aux tmp.*

dvi info check: 

maybecheck:
	TEXINPUTS=$(srcdir): $(SHELL) $(srcdir)/tex4ht.sh latex test

ac_include ../make/rdepend.make
ac_include depend.make
